# -*- rpm-spec -*-
# $Id: tuxracer,v 1.6 2002/06/15 19:24:02 lioka Exp $

%define force_ac_213 1 
%define force_am_14 1
%define dataversion 0.61

Name: tuxracer
Version: 0.61
Release: alt10

Summary: Tux Racer
License: GPLv2+
Group: Games/Sports

Source: tuxracer-%version.tar.bz2
Source1: tuxracer-data-%dataversion.tar.bz2
Source2: tuxracer-16.xpm
Source3: tuxracer-32.xpm
Source4: tuxracer-48.xpm
Source5: tuxracer.desktop
Patch0: tuxracer-0.61-opt.patch
Patch1: tuxracer-0.61-tcl.patch
Patch2: tuxracer-0.61-remove_check_glx_arb.patch
Patch3: tuxracer-0.61-gcc33.patch

# Automatically added by buildreq on Wed Mar 12 2008
BuildRequires: gcc-c++ imake libSDL-devel libSDL_mixer-devel libmesa-devel libtcl tcl-devel xorg-cf-files

BuildRequires: autoconf_2.5
BuildRequires: automake_1.4

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%prep
%setup -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%set_automake_version 1.4
%set_autoconf_version 2.5

# Fix CFLAGS
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath

%build
# cosmetic: eliminate gcc warnings
subst 's/malign/falign/g' configure.in
%__autoconf
%configure --datadir=%_gamesdatadir/tuxracer --bindir=%_gamesbindir \
	--with-data-dir=%_gamesdatadir/tuxracer --with-gl-libs=%_x11dir/lib \
	--with-tcl-libs=%_tcllibdir
%make_build

%install
%makeinstall datadir=%buildroot%_gamesdatadir/tuxracer bindir=%buildroot%_gamesbindir

mkdir -p %buildroot%_gamesdatadir/tuxracer
tar c -C tuxracer-data-%dataversion . | tar xv -C %buildroot%_gamesdatadir/tuxracer
chmod -R a+rX %buildroot%_gamesdatadir

install -pD -m644 %SOURCE2 %buildroot%_miconsdir/tuxracer.xpm
install -pD -m644 %SOURCE3 %buildroot%_niconsdir/tuxracer.xpm
install -pD -m644 %SOURCE4 %buildroot%_liconsdir/tuxracer.xpm
install -pD -m644 %SOURCE5 %buildroot%_desktopdir/tuxracer.desktop

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/tuxracer
%doc AUTHORS ChangeLog README contrib
%_gamesdatadir/tuxracer/
%_desktopdir/*
%_niconsdir/*
%_liconsdir/*
%_miconsdir/*

%changelog
* Wed Mar 12 2008 Victor Forsyuk <force@altlinux.org> 0.61-alt10
- Rebuild with tcl 8.5.

* Tue May 17 2005 Victor Forsyuk <force@altlinux.ru> 0.61-alt9
- Saving Private Tux :) from obsolete.
- Update buildreqs.

* Sun Jan 04 2004 Anton Farygin <rider@altlinux.ru> 0.61-alt8
- gcc 3.3 build fix

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 0.61-alt7
- fix build

* Tue Oct 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.61-alt6
- Rebuild with new tcl & gcc3.2

* Sat Jun 15 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.61-alt5
- rebuilt in new env

* Tue Dec 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.61-alt4
- Fixed permissions

* Thu Nov 19 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.61-alt3
- Fixed icons

* Fri Aug 17 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.61-alt2
- Recompiled with SDL 1.2.2
- Compiled with fixed optflags

* Thu May 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.61-alt1
- Build new version 0.61

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 0.60.3-ipl3mdk
- Rebuild with SDL-1.2.0

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 0.60.3-ipl2mdk
- fix BuildPreReq

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz> 0.60.3-ipl1mdk
- Build for RE

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.3-1mdk
- 0.60.3

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-8mdk
- recompiled to get good dependencies.

* Fri Dec  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-7mdk
- corrected BuildRequires.

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-5mdk
- added icons for the menu.

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-4mdk
- added BuildRequires on libSDL_mixer1.0-devel and libSDL1.1-devel.

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.60.1-3mdk
- rebuild with gcc 2.96
- make rpmlint happier.

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-2mdk
- 0.60.1

* Tue Sep 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-2mdk
- rebuild for latest tk.

* Sun Aug 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-1mdk
- first mandrake version.
